commit: 8d9b4e7f2ba24a1cccd6a042a31b81cabbd4e401
Author: Jory A. Pratt <anarchy <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 2 18:01:03 2015 +0000
Commit: Jory Pratt <anarchy <AT> gentoo <DOT> org>
CommitDate: Mon Nov 2 18:01:03 2015 +0000
URL: https://gitweb.gentoo.org/proj/mozilla.git/commit/?id=8d9b4e7f
Update to latest jemalloc ( testing must be performed before moving to
tree )
dev-libs/jemalloc/Manifest | 2 +-
dev-libs/jemalloc/{jemalloc-3.6.0.ebuild => jemalloc-4.0.4.ebuild} | 7 ++++++-
2 files changed, 7 insertions(+), 2 deletions(-)
diff --git a/dev-libs/jemalloc/Manifest b/dev-libs/jemalloc/Manifest
index ae98ddc..0d48e6d 100644
--- a/dev-libs/jemalloc/Manifest
+++ b/dev-libs/jemalloc/Manifest
@@ -1 +1 @@
-DIST jemalloc-3.6.0.tar.bz2 338964 SHA256
e16c2159dd3c81ca2dc3b5c9ef0d43e1f2f45b04548f42db12e7c12d7bdf84fe SHA512
ebe7c64558a87a735b5906d5cb7527c241664eeae7328538675a12eabe7a1004be0f8766a3bd2a78e61334b196ca7ffc0ee8b8ff59167922a35f126cd1e76e43
WHIRLPOOL
d5452005951b10d9d529349481779d79361ec8d8ac1f36f4b54408b5e0184f35d79fee8378188d98f1b8e41ae13557a2cf41ab849b68856ba69f33870fe6e980
+DIST jemalloc-4.0.4.tar.bz2 391483 SHA256
3fda8d8d7fcd041aa0bebbecd45c46b28873cf37bd36c56bf44961b36d0f42d0 SHA512
93be0551a80d5f5dc3a1044ef3d5f06c5ce65f3c1fd753743ee64340b841fc2d7902178774ab71eaa633f68abad44109870eb84159679fdc8ce6d93db3a53112
WHIRLPOOL
c8bc1a81555b30ff519fda90bfbcfcdb6c9e370ba7478bca17058e58e08c36d20a1995ab12d5374d4edb9cdd2469748517a6f1795a24667c5f798c4c0c756a9c
diff --git a/dev-libs/jemalloc/jemalloc-3.6.0.ebuild
b/dev-libs/jemalloc/jemalloc-4.0.4.ebuild
similarity index 90%
rename from dev-libs/jemalloc/jemalloc-3.6.0.ebuild
rename to dev-libs/jemalloc/jemalloc-4.0.4.ebuild
index 7d1cb5f..e287200 100644
--- a/dev-libs/jemalloc/jemalloc-3.6.0.ebuild
+++ b/dev-libs/jemalloc/jemalloc-4.0.4.ebuild
@@ -16,7 +16,6 @@ KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390
~x86 ~x64-macos"
IUSE="debug static-libs stats"
HTML_DOCS=( doc/jemalloc.html )
PATCHES=( "${FILESDIR}/${PN}-3.5.1-strip-optimization.patch"
- "${FILESDIR}/${PN}-3.5.1-no-pprof.patch"
"${FILESDIR}/${PN}-3.5.1_fix_html_install.patch"
)
MULTILIB_WRAPPED_HEADERS=( /usr/include/jemalloc/jemalloc.h )
@@ -32,6 +31,12 @@ src_configure() {
autotools-multilib_src_configure
}
+multilib_src_install() {
+ # Copy man file which the Makefile looks for
+ cp "${S}/doc/jemalloc.3" "${BUILD_DIR}/doc" || die
+ emake DESTDIR="${D}" install
+}
+
src_install() {
autotools-multilib_src_install